Ruby 2.6.0 リファレンスマニュアル > ライブラリ一覧 > pstoreライブラリ > PStoreクラス > ultra_safe

instance method PStore#ultra_safe

ultra_safe -> bool[permalink][rdoc]

真であれば、パフォーマンスと引き換えにファイル更新の衝突を避けることができます。 デフォルトは偽です。

このフラグの効果があるのは一部のプラットフォームだけです。 (e.g. all POSIX platforms: Linux, Mac OS X, FreeBSD, etc)